
<style>
    .nodata{
        background-color: #428bca;
        color: white;
        border-radius: 13px;
        margin: 14px;
        font-size: 15px;
        text-align: right;
        padding: 5px;
    }

</style>

<div class="row">
    <div class="container">

        <ol class="breadcrumb">
            <li><a href="#">التقارير</a></li>
            <li><a href="productstore.php">الحد الادنى للمنتجات فى المخزن  </a></li>
            <li class="active">تعديل </li>
        </ol>


        <div class="panel panel-default panel-m">
            <div class="panel-heading">
                <h3 class="panel-title">تعديل  </h3>
            </div>
            <div class="nodata">
                <hr/>
                <ul>
                    <li>فى حالة الضغط على  اسم المنتج سوف يتم اخذ قيمة الحد الادنى لاول مخزن وعمل تعديل للحد الادنى فى كل المخازن  لهذا المنتج  تلقائيا</li>
                 <li>فى حالة الضغط على  تعديل الحد الادنى لكل المنتجات  سوف يتم اخذ قيمة الحد الادنى لاول مخزن  فى كل منتج وعمل تعديل للحد الادنى فى كل المخازن  لهذا المنتج  تلقائيا</li>
                </ul>
                <hr/>
            </div>
            <div class="panel-body">


                {literal}
                  <form class="form-horizontal" role="form" action="productstore.php?do=save" method="post" enctype="multipart/form-data" >
                    {/literal}
                     <div class="form-group"  >
                        <label  class="col-lg-2 control-label">التصنيفات  </label>
                        <div class="col-lg-4">
                        <input type="text" class="searchdata wdt100" id="selectproductcat" data-placeholder="اختر " />
                        </div>
                    </div>
                    <div  id="gallproducts" style="text-align:center;">

                    </div>

                    <div class="form-group">
                        <div class="col-lg-offset-2 col-lg-4">
                            <a href="javascript:;"  class="btn btn-primary pull-left" id="allsup">تعديل الحد الادنى لكل المنتجات</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

{literal}
<script type="text/javascript">


    $(document).ready(function () {
        var formatResult;
        formatResult = function (data) {
            return  data.text;
        }


        $("#selectproductcat").select2({
            placeholder: "إسم  المشروع",
            multiple: false,
            quietMillis: 100,
            ajax: {
                url: "productstore.php?do=selectproductcat",
                type: "post",
                dataType: 'json',
                data: function (term, page) {
                    return {
                        searchTerm: term,
                    };
                },
                results: function (data) {
                    return {results: data};
                }
            },
            formatResult: formatResult,
            initSelection: function (element, callback) {
                var item = element.val().split(':');
                var data = {id: item[0], text: item[1]};
                callback(data);
            }
        });

       
         


        $('body').on('change', '#selectproductcat', function () {
            var id = $(this).val();
            $.post('productstore.php?do=allproducts', {id: id}, function (data) {
                if (data) {
                   $('#gallproducts').html(data);
                }else{
                   alert('حدث خطأ أثناء التنفيذ');
                }
            });
            
        });

        $('body').on('change', '.prostorelimitamounts', function () {
            var id = $(this).attr('data-id');
            var prostorelimitamount = $(this).val();
            $.post('productstore.php?do=prostorelimitamounts', {id: id, prostorelimitamount: prostorelimitamount});
            
        });

         $('body').on('click', '.limitamountfirestup', function () {
            var proid = $(this).attr('data-id');
            var limitamountfirest1 = $("#limitamountfirest1"+proid).val();
            var allstores = $("#allstores").val();
            for (var i = 2; i <= allstores; i++) {
                var id = $("#limitamountfirest"+i+proid).attr('data-id');
                $("#limitamountfirest"+i+proid).val(limitamountfirest1);
                $.post('productstore.php?do=prostorelimitamounts', {id: id, prostorelimitamount: limitamountfirest1});
            }
            
        });


        $('body').on('click', '#allsup', function () {
            var allproducts = $("#allproducts").val();
            var allstores = $("#allstores").val();
            for (var pi = 1; pi <= allproducts; pi++) {
                var proid = $("#productid"+pi).val();
                var limitamountfirest1 = $("#limitamountfirest1"+proid).val();
                for (var i = 2; i <= allstores; i++) {
                    var id = $("#limitamountfirest"+i+proid).attr('data-id');
                    $("#limitamountfirest"+i+proid).val(limitamountfirest1);
                    $.post('productstore.php?do=prostorelimitamounts', {id: id, prostorelimitamount: limitamountfirest1});
                }
            }
            
        });



      

    });







</script>
{/literal}

